import CipCodeMirror from '@cip/components/cip-code-mirror'
import { useFormInput, useInputProps } from '@cip/components/hooks/form-input'
import { formInputProps, fromInputEmits } from '@cip/components/cip-form-input/form-input-props'

export default {
  props: formInputProps,
  emits: fromInputEmits,
  setup (props, context) {
    const { proxyValue, width } = useFormInput(props, context, { maxOtherKey: 0 })
    // 注意取出的值为props.config的值
    const codeMirrorProps = useInputProps(props, [['codeType', 'type'], 'mode', ['height', { defaultValue: '300px' }], 'theme', 'lineNumbers', 'indentUnit'])
    return () => <CipCodeMirror
      style={{ width: width.value }}
      v-model={proxyValue.value}
      readonly={props.disabled}
      {...codeMirrorProps.value}
    />
  }
}
