import { useFormInput, useInputProps } from '@cip/components/hooks/form-input'
import { formInputProps, fromInputEmits } from '@cip/components/cip-form-input/form-input-props'
import MavonEditor from 'mavon-editor'
import 'mavon-editor/dist/css/index.css'
export default {
  components: {
    MavonEditor: MavonEditor.mavonEditor
  },
  props: formInputProps,
  emits: fromInputEmits,
  setup (props, context) {
    const { proxyValue, width } = useFormInput(props, context)
    // 注意取出的值为props.config的值
    const MavonEditorProps = useInputProps(props)
    console.log('MavonEditorProps.value===>', MavonEditorProps.value)
    return () => <mavon-editor
      style={{ width: width.value }}
      v-model={proxyValue.value}
      {...MavonEditorProps.value}
    />
  }
}
